<!DOCTYPE html>


<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Contributing to Distro Tracker &mdash; Contributing to Distro Tracker</title>
    
    <link rel="stylesheet" href="_static/basic.css" type="text/css" />
    <link rel="stylesheet" href="_static/styles.css" type="text/css" />
    <link rel="stylesheet" href="_static/slides.css" type="text/css" />
    
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '2015.08.13',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/common.js"></script>
    
    <script type="text/javascript" src="_static/slides.js"></script>
    <script type="text/javascript" src="_static/sync.js"></script>
    <script type="text/javascript" src="_static/controller.js"></script>
    <script type="text/javascript" src="_static/init.js"></script>
    
    
    <link rel="top" title="Contributing to Distro Tracker" href="index.html" /> 
  </head>
  <body>

<section
   id="slide_container"
   class='slides layout-regular'>


  
<article class="slide level-1" id="contributing-to-distro-tracker">

<h1>Contributing to Distro Tracker</h1>

<p>What are we going to learn? What is Distro Tracker and how to contribute?
Why you should listen to me? I participate to DT for one year (only), had fun and learned about big django projects and about collaborating in a Debian team.
The problem? Difficult to start interacting.
Why: do not know where to start =&gt; gift bugs</p>
<q>
how to reach people? Dare sending emails/IRC to QA.</q>




</article>
<article class="slide level-2" id="what-one-tool-several-interfaces">

<h2>(What) One tool, several interfaces</h2>

<blockquote>
<div><ul class="simple">
<li>Follow the evolution of a Debian-based distribution. (being informed, keep in touch)</li>
<li>(Who) For contributors and advanced members</li>
<li>Track a package, or set of packages</li>
<li>(How) Web, email, RSS, REST, ...</li>
<li>Packages SPOC, if you do not know specialized tools (rmadison), or to get &quot;vue d'ensemble&quot;, &quot;en une fois&quot;
a central place to collect everything about Debian packages life.</li>
</ul>
</div></blockquote>




</article>
<article class="slide level-2" id="who-people-want-to-help">

<h2>(Who) People - Want to help?</h2>

<blockquote>
<div><ul>
<li><p class="first">QA team</p>
</li>
<li><p class="first">GSOC Marko Lalic</p>
</li>
<li><dl class="first docutils">
<dt>New contributor game</dt>
<dd><ul class="first last simple">
<li>me a sysadmin wanting to contribute, inspired by Debian strive for excellence.</li>
</ul>
</dd>
</dl>
</li>
<li><p class="first">(contributors stats? not DD?)</p>
</li>
<li><p class="first">You?</p>
</li>
</ul>
</div></blockquote>




</article>
<article class="slide level-2" id="want-to-help">

<h2>Want to help?</h2>

<blockquote>
<div><ul class="simple">
<li>Use</li>
<li>BTS reporting</li>
<li>Proposing changes, mockup example</li>
<li>UDD views for gift, ?</li>
<li>Patch</li>
<li>local install, git --format-patch</li>
</ul>
</div></blockquote>




</article>
<article class="slide level-2" id="design">

<h2>Design</h2>

<blockquote>
<div><ul class="simple">
<li>TDD</li>
<li>Django: fast secure reliable</li>
<li>Framework</li>
<li>Well structured code</li>
<li>Well documented code</li>
</ul>
</div></blockquote>




</article>
<article class="slide level-2" id="remarks">

<h2>Remarks</h2>

<blockquote>
<div><ul class="simple">
<li>!Games gives a structure for contributing (mentors are scarse ressource)</li>
</ul>
</div></blockquote>




</article>
<article class="slide level-2" id="questions">

<h2>Questions</h2>

<blockquote>
<div><ul class="simple">
<li>which distributions?</li>
</ul>
</div></blockquote>
<dl class="docutils">
<dt>History of PTS: talk by Raphaël in 2005:</dt>
<dd><a class="reference external" href="https://ouaza.com/static/conf/pts-internals.pdf">https://ouaza.com/static/conf/pts-internals.pdf</a>
<a class="reference external" href="https://wiki.debian.org/qa.debian.org/pts">https://wiki.debian.org/qa.debian.org/pts</a></dd>
</dl>




</article>

</section>

<section id="slide_notes">

</section>

  </body>
</html>